﻿using FinkiChattery.Persistence.Repositories;
using System;
using System.Threading.Tasks;

namespace FinkiChattery.Persistence.UnitOfWork
{
    public interface IUnitOfWork : IDisposable
    {
        ICategoriesRepo Categories { get; }
        IQuestionRepo Questions { get; }
        IStudentRepo Students { get; }
        ITeamRepo Teams { get; }
        Task<int> SaveAsync();
    }
}
